Bug 1289974 - 3.6.0 is available
3.6.0 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nethack (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
: 1394598 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 07:56 EST by Gwyn Ciesla
Modified: 2017-06-09 15:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: nethack-3.6.0-36.fc25 nethack-3.6.0-36.fc24 nethack-3.6.0-36.fc26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-01 01:09:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2015-12-09 07:56:48 EST
I've done some initial work on this that I can share with you if you like but the patch changes are significant.  I'm also not sure if the new Terry Pratchett content is acceptable to include.
Comment 1 Jan Kurik 2016-02-24 09:07:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Michael Schwendt 2016-11-14 07:02:01 EST
*** Bug 1394598 has been marked as a duplicate of this bug. ***
Comment 4 Michael Schwendt 2016-11-14 07:02:53 EST
There's also a maintainer request in pkgdb:
https://admin.fedoraproject.org/pkgdb/package/rpms/nethack/
Comment 5 Ron Olson 2016-11-14 11:23:53 EST
Aloha-

Just curious if anyone is looking into this; 3.6.0 has been out for awhile now.
Comment 6 Ron Olson 2016-11-21 10:13:28 EST
Hey, was just wondering if there's been any movement on this.
Comment 7 Fabio Alessandro Locati 2016-11-21 19:15:42 EST
I've opened the maintainer request months ago with no reply. I've just sent an email to lmacken at the only address I can find (same of this bug request). If I'll not receive any response, I'll escalate as for the nonresponsive packages maintainers policy.
Comment 8 Ron Olson 2016-11-22 10:13:52 EST
To be clear, I'm following the policy outlined at https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers. I have a 3.6.0 update ready to go and will volunteer to take over maintenance of this package going forward.
Comment 9 Gwyn Ciesla 2016-11-22 10:17:39 EST
If you want the changes committed sooner, I'm not just a NetHack player, I'm a provenpackager.  So.  That. :)
Comment 10 Luke Macken 2016-11-22 12:40:10 EST
(In reply to Fabio Alessandro Locati from comment #7)
> I've opened the maintainer request months ago with no reply. I've just sent
> an email to lmacken at the only address I can find (same of this bug
> request). If I'll not receive any response, I'll escalate as for the
> nonresponsive packages maintainers policy.

Sorry, I haven't been paying too much attention to email lately. I approved your maintainer requests in the pkgdb.
Comment 11 Fabio Alessandro Locati 2016-11-24 11:58:00 EST
@Ron: If you open a permission request at https://admin.fedoraproject.org/pkgdb/package/rpms/nethack/ I'll approve it ;)
Comment 12 Gwyn Ciesla 2017-03-24 08:44:30 EDT
Ping. Where are we at here?  I'd like to play 3.6.0. :)
Comment 13 Ron Olson 2017-03-24 09:55:11 EDT
I'm going to see if I can get maintainer status on this package; I've been playing 3.6 on my Fedora 25 machine, but installed as a local RPM. :\
Comment 14 Gwyn Ciesla 2017-03-24 09:59:00 EDT
Thanks!  And if that gets stalled, I'm a provenpackager and could commit your changes for you if you like.
Comment 15 Gwyn Ciesla 2017-04-10 11:38:05 EDT
http://mo.morsi.org/blog/node/398

:)

?

:)
Comment 16 Ron Olson 2017-04-10 11:43:20 EDT
This is my repository that I put all the changes in; Koji was able to build it fine:

https://github.com/tachoknight/nethack-rpm

I'm going to post on the mailing list about becoming the package maintainer.
Comment 17 Gwyn Ciesla 2017-04-10 11:45:41 EDT
Cool, let me know if that stalls or if you want me to commit this.
Comment 18 Fedora Update System 2017-05-22 22:29:18 EDT
nethack-3.6.0-36.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cdc787dc9
Comment 19 Fedora Update System 2017-05-22 22:29:27 EDT
nethack-3.6.0-36.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4611029934
Comment 20 Fedora Update System 2017-05-22 22:29:35 EDT
nethack-3.6.0-36.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25629424f5
Comment 21 Fedora Update System 2017-05-23 14:16:00 EDT
nethack-3.6.0-36.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cdc787dc9
Comment 22 Fedora Update System 2017-05-24 03:06:20 EDT
nethack-3.6.0-36.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25629424f5
Comment 23 Fedora Update System 2017-05-24 03:10:43 EDT
nethack-3.6.0-36.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4611029934
Comment 24 Ron Olson 2017-05-31 10:48:33 EDT
Pushed to stable for F26, F25, and F24. Remember to ascend before updating as save and bones files from the previous version won't be loaded by the new version.
Comment 25 Fedora Update System 2017-06-01 01:09:59 EDT
nethack-3.6.0-36.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2017-06-01 09:55:27 EDT
nethack-3.6.0-36.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2017-06-09 15:08:03 EDT
nethack-3.6.0-36.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.